Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.property
Class PropertyEditorManagerService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.varia.property.PropertyEditorManagerService

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, PropertyEditorManagerServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class PropertyEditorManagerService
extends org.jboss.system.ServiceMBeanSupport
implements PropertyEditorManagerServiceMBean

A service to access `java.beans.PropertyEditorManager`.

Version:
  `$Revision: 1.5 $`
Author:
  Jason Dillon

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.varia.property.PropertyEditorManagerServiceMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`PropertyEditorManagerService()`

Method Summary
`PropertyEditor` | `findEditor(Class type)` Locate a value editor for a given target type.
`PropertyEditor` | `findEditor(String typeName)` Locate a value editor for a given target type.
`String` | `getEditorSearchPath()` Gets the package names that will be searched for property editors.
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `registerEditor(Class type, Class editorType)` Register an editor class to be used to editor values of a given target class.
`void` | `registerEditor(String typeName, String editorTypeName)` Register an editor class to be used to editor values of a given target class.
`void` | `setBootstrapEditors(String propsString)` Load property editors based on the given properties string.
`void` | `setEditors(Properties props)` Set property editors based on the given properties map.
`void` | `setEditorSearchPath(String path)` Sets the package names that will be searched for property editors.

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, startService, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### PropertyEditorManagerService

    public PropertyEditorManagerService()

Method Detail

### findEditor

    public PropertyEditor findEditor(Class type)

  Locate a value editor for a given target type.

  Specified by:
    `findEditor` in interface `PropertyEditorManagerServiceMBean`
  Parameters:
    `type` - The class of the object to be edited.
  Returns:
    An editor for the given type or null if none was found.

### findEditor

    public PropertyEditor findEditor(String typeName)
                              throws ClassNotFoundException

  Locate a value editor for a given target type.

  Specified by:
    `findEditor` in interface `PropertyEditorManagerServiceMBean`
  Parameters:
    `typeName` - The class name of the object to be edited.
  Returns:
    An editor for the given type or null if none was found.
  Throws:
    `ClassNotFoundException`

### registerEditor

    public void registerEditor(Class type,
                               Class editorType)

  Register an editor class to be used to editor values of a given target class.

  Specified by:
    `registerEditor` in interface `PropertyEditorManagerServiceMBean`
  Parameters:
    `type` - The class of the objetcs to be edited.
    `editorType` - The class of the editor.

### registerEditor

    public void registerEditor(String typeName,
                               String editorTypeName)
                        throws ClassNotFoundException

  Register an editor class to be used to editor values of a given target class.

  Specified by:
    `registerEditor` in interface `PropertyEditorManagerServiceMBean`
  Parameters:
    `typeName` - The classname of the objetcs to be edited.
    `editorTypeName` - The class of the editor.
  Throws:
    `ClassNotFoundException`

### getEditorSearchPath

    public String getEditorSearchPath()

  Gets the package names that will be searched for property editors.

  Specified by:
    `getEditorSearchPath` in interface `PropertyEditorManagerServiceMBean`
  Returns:
    The package names that will be searched for property editors.

### setEditorSearchPath

    public void setEditorSearchPath(String path)

  Sets the package names that will be searched for property editors.

  Specified by:
    `setEditorSearchPath` in interface `PropertyEditorManagerServiceMBean`
  Parameters:
    `path` - A comma sperated list of package names.

### setBootstrapEditors

    public void setBootstrapEditors(String propsString)
                             throws ClassNotFoundException,
                                    IOException

  Load property editors based on the given properties string.

  Specified by:
    `setBootstrapEditors` in interface `PropertyEditorManagerServiceMBean`
  Throws:
    `ClassNotFoundException`
    `IOException`

### setEditors

    public void setEditors(Properties props)
                    throws ClassNotFoundException

  Set property editors based on the given properties map.

  Specified by:
    `setEditors` in interface `PropertyEditorManagerServiceMBean`
  Parameters:
    `props` - Map of type name to editor type name.
  Throws:
    `ClassNotFoundException`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.